nlist {loo} | R Documentation

## Named lists

### Description

Create a named list using specified names or, if names are omitted, using the names of the objects in the list. The code `list(a = a, b = b)` becomes `nlist(a,b)` and `list(a = a, b = 2)` becomes `nlist(a, b = 2)`, etc.

### Usage

    nlist(...)

### Arguments

`...` | Objects to include in the list.

### Value

A named list.

### Examples

    # All variables already defined
    a <- rnorm(100)
    b <- mat.or.vec(10, 3)
    nlist(a,b)

    # Define some variables in the call and take the rest from the environment
    nlist(a, b, veggies = c("lettuce", "spinach"), fruits = c("banana", "papaya"))

[Package loo version 2.1.0 Index]